Skip navigation links

Oracle® Database XML Java API Reference 11g Release 2 (11.2) E10769-01

## oracle.jcr
Interface OracleNamespaceRegistry

All Superinterfaces:
  NamespaceRegistry

      public interface OracleNamespaceRegistry

extends NamespaceRegistry

OracleNamespaceRegistry is the JCR namespace registry.

The namespace registry is cached by the OracleNamespaceRegistry object. The cache is automatically refreshed each time `registerNamespace` or `unregisterNamespace` is called on the OracleNamespaceRegistry object. Call `refresh` to explicitly refresh the cache.

Refer to XDBRepositoryConfiguration for further information on how the JCR namespace registry is stored by the XML DB Content Connector.

Method Summary
`void` `refresh()` Refresh the in-memory copy of the JCR namespace registry.

Methods inherited from interface javax.jcr.NamespaceRegistry
`getPrefix, getPrefixes, getURI, getURIs, registerNamespace, unregisterNamespace`

Method Detail

### refresh

    void refresh()
                 throws RepositoryException

  Refresh the in-memory copy of the JCR namespace registry.
  Throws:
    `RepositoryException` - if the operation fails

Skip navigation links

Oracle® Database XML Java API Reference 11g Release 2 (11.2) E10769-01

Copyright © 2003, 2009, Oracle and/or its affiliates. All rights reserved.